@ECHO OFF

::----------------------------------------------------------------------
:: Jfuscator startup script
::----------------------------------------------------------------------

set JF_BIN_DIR=%~dp0

:: ---------------------------------------------------------------------
:: Collect JVM options and properties.
:: ---------------------------------------------------------------------
SET VM_OPTIONS_FILE=%JF_BIN_DIR%\jfuscator.vmoptions
SET ACC=
FOR /F "usebackq delims=" %%i IN ("%VM_OPTIONS_FILE%") DO CALL "%JF_BIN_DIR%\append.bat" "%%i"
IF EXIST "%VM_OPTIONS_FILE%" SET ACC=%ACC% 

SET ALL_JVM_ARGS=%ACC% %USER_JVM_ARGS%

:: ---------------------------------------------------------------------
:: Run Jfuscator
:: ---------------------------------------------------------------------

java %ALL_JVM_ARGS% -cp "%JF_BIN_DIR%\jfuscator.jar" core.MainAppConsole %*
